## org.eclipse.jet
Class ContextLogEntry

    java.lang.Object
      org.eclipse.jet.ContextLogEntry

    public final class ContextLogEntry

extends java.lang.Object

Entry in the log created by JET2Context log methods

Nested Class Summary
`static class` `ContextLogEntry.Builder` Builder for `ContextLogEntry` entities

Field Summary
`static int` `CANCEL` The bit mask value `0x1` for a `severity` indicating that the diagnosis was canceled.
`static int` `ERROR` The bit mask value `0x1` for a `severity` indicating there is an error message.
`static int` `INFO` The bit mask value `0x1` for a `severity` indicating there is an informational message.
`static int` `OK` The bit mask value `0x0` for a `severity` indicating everything is okay.
`static int` `WARNING` The bit mask value `0x2` for a `severity` indicating there is warning message.

Method Summary
`ContextLogEntry[]` `getChildren()` Return the array of child log entries
`int` `getCol()` Return the column number associated with the entry
`java.lang.Throwable` `getException()` Return the exception associated with the log entry
`int` `getLine()` Return the line number associated with the entry
`java.lang.String` `getMessage()` Return the log entry message
`int` `getSeverity()` Return the severity of the entry
`TagInfo` `getTagInfo()` Return the tag information associated with the entry
`java.lang.String` `getTemplatePath()` Return the template path associated with the log entry

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OK

    public static final int OK

  The bit mask value `0x0` for a `severity` indicating everything is okay.

  See Also:
    Constant Field Values

### INFO

    public static final int INFO

  The bit mask value `0x1` for a `severity` indicating there is an informational message.

  See Also:
    Constant Field Values

### WARNING

    public static final int WARNING

  The bit mask value `0x2` for a `severity` indicating there is warning message.

  See Also:
    Constant Field Values

### ERROR

    public static final int ERROR

  The bit mask value `0x1` for a `severity` indicating there is an error message.

  See Also:
    Constant Field Values

### CANCEL

    public static final int CANCEL

  The bit mask value `0x1` for a `severity` indicating that the diagnosis was canceled.

  See Also:
    Constant Field Values

Method Detail

### getChildren

    public ContextLogEntry[] getChildren()

  Return the array of child log entries

  Returns:
    the possibly empty array of child log entries

### getSeverity

    public int getSeverity()

  Return the severity of the entry

  Returns:
    one of `OK`, `INFO`, `WARNING`, `ERROR`, `CANCEL`.

### getMessage

    public java.lang.String getMessage()

  Return the log entry message

  Returns:
    the message a possibly empty (but non-null) string

### getException

    public java.lang.Throwable getException()

  Return the exception associated with the log entry

  Returns:
    the exception. May be `null`

### getTemplatePath

    public java.lang.String getTemplatePath()

  Return the template path associated with the log entry

  Returns:
    the templatePath. May be `null`.

### getCol

    public int getCol()

  Return the column number associated with the entry

  Returns:
    the col the column number. A zero or negative value means no column number is associated

### getLine

    public int getLine()

  Return the line number associated with the entry

  Returns:
    the line number. A zero or negative value means no line number is associated

### getTagInfo

    public TagInfo getTagInfo()

  Return the tag information associated with the entry

  Returns:
    the tagInfo. May be `null`.

Copyright 2006 IBM Corporation and others. All Rights Reserved.